%define name zssh 
%define version 1.5a
%define release 7mdk

Summary		: Interactive file transfers through ssh.
Name		: %name
Version		: %version
Release		: %release
License		: GPL
Group		: Networking/File transfer
Requires	: lrzsz
Url		: http://zssh.sourceforge.net/		
Source		: %name-%version.tar.bz2
Patch0		: zssh-1.5a-install.patch.bz2
Patch1		: zssh-1.5a-ptmx.patch.bz2
BuildRoot       : %{_tmppath}/%{name}-buildroot
BuildRequires   : readline-devel
BuildRequires   : termcap-devel

%description
zssh (Zmodem SSH) is a program for interactively transferring files to/from
a remote machine while using the secure shell (ssh). It is intended to be a
convenient alternative to scp, allowing to transfer files without having to
open another  session and re-authenticate  oneself. zssh is  an interactive
wrapper for ssh used to switch  the ssh connection between the remote shell
and  file transfers.  Files are  transferred through  the  zmodem protocol,
using the rz and sz commands.

%prep
%setup -q
%patch0 -p1 -b .install
%patch1 -p1 -b .ptmx

%build
%__autoconf
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING FAQ INSTALL README VERSION
%attr(0711,root,root) %{_bindir}/zssh
%attr(0711,root,root) %{_bindir}/ztelnet
%{_mandir}/man1/zssh.1*
%{_mandir}/man1/ztelnet.1*

%changelog
* Sun Feb 15 2004 Luca Berra <bluca@vodka.it> 1.5a-7mdk
- fix detection of /dev/ptmx
- remove configure patch, we run autoconf

* Tue Nov 25 2003 Marcel Pol <mpol@mandrake.org> 1.5a-6mdk
- buildrequires

* Sat Aug 02 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.5a-5mdk
- quiet setup
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- added %%clean section

* Mon Jul 21 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.5a-4mdk
- rebuild

* Fri Apr 25 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.5a-4mdk
- added BuildRequires

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5a-3mdk
- rebuild for new readline

* Wed Jun 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-2mdk
- fix build (DHAVE_CONFIG_H pb with readline)
- bzip2 archive
- clean spec

* Sun Oct 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.5a-1mdk
- first Mandrake Linux version
